from PIL import Image
from math import sqrt

def spiral(n):
    dx,dy = 1,0            # Starting increments
    x,y = 0,0              # Starting location
    myarray = [[None]* n for j in range(n)]
    for i in xrange(n**2):
        myarray[x][y] = i
        nx,ny = x+dx, y+dy
        if 0<=nx<n and 0<=ny<n and myarray[nx][ny] == None:
            x,y = nx,ny
        else:
            dx,dy = -dy,dx
            x,y = x+dx, y+dy
    return myarray
 
def printspiral(myarray):
    listing = open('moteur-Piano-Spirale.pd', 'w')
    firstline = "#N canvas 0 30 1358 659 10;" + "\n"
    listing.write(firstline)
    n = range(len(myarray))
    for i in n:
        for j in n:
     #       print "%2i" % myarray[i][j],
            seq = "#X obj "+ str(i*60)+" "+ str(j*60)+" bang-couleur "+ str(myarray[i][j]) +" "+ str(128-myarray[i][j])+" 1 "+ str(128-myarray[i][j]) + ";" + "\n"
            print seq
            listing.write(seq)
    listing.close()

printspiral(spiral(11))
